Artisteer joomla template import

jtarano
3 Posts
jtarano posted this 12 June 2019

I followed the instructions for importing a simple Artisteer template to Themler and it did not work:
"Import Failed only Joomla Themler's themes are supported"
I'm using Artisteer 4.3.0.60858 exporting a simple Joomla template with a minimum content.

I followed the instructions for importing a simple Artisteer template to Themler and it did not work: "Import Failed only Joomla Themler's themes are supported" I'm using Artisteer 4.3.0.60858 exporting a simple Joomla template with a minimum content.
Vote to pay developers attention to this features or issue.
1 Comments
Order By: Standard | Newest
Support Team
Support Team posted this 13 June 2019

Hello Jose,

There is a bug with Artisteer and Joomla 3.9. This is reported to the developers but I don't have any timelines when it is going to be fixed. Meanwhile I suggest the following hotfix:

1) Open theme folder on the server or via Joomla admin panel
2) open /data folder
3) open install.php file there
4) find this line:

require_once JPATH_BASE . DS . 'includes' . DS . 'toolbar.php';

5) replace it with this code:

$prefix = version_compare(JVERSION, '3.9', '>=') ? 'sub' : '';
require_once JPATH_BASE . DS . 'includes' . DS . $prefix . 'toolbar.php';;

Gina
Themler Support

Hello Jose, There is a bug with Artisteer and Joomla 3.9. This is reported to the developers but I don't have any timelines when it is going to be fixed. Meanwhile I suggest the following hotfix: 1) Open theme folder on the server or via Joomla admin panel 2) open /data folder 3) open install.php file there 4) find this line: require_once JPATH_BASE . DS . 'includes' . DS . 'toolbar.php'; 5) replace it with this code: $prefix = version_compare(JVERSION, '3.9', '>=') ? 'sub' : ''; require_once JPATH_BASE . DS . 'includes' . DS . $prefix . 'toolbar.php';; Gina Themler Support
You must log in or register to leave comments